local _G = getfenv(0)

function Skinner:GroupCalendar()

-->>-- Group Calendar Frame
	GroupCalendarFrame:SetWidth(GroupCalendarFrame:GetWidth() * FxMult + 6)
	GroupCalendarFrame:SetHeight(GroupCalendarFrame:GetHeight() * FyMult)
	self:moveObject(GroupCalendarCloseButton, "-", 4, "+", 8)
	self:keepFontStrings(GroupCalendarCalendarFrame)
	self:moveObject(GroupCalendarMonthYearText, "-", 20, nil, nil)
	self:moveObject(GroupCalendarCalendarFrameWeekdayLabel0, "-", 20, nil, nil)
	self:moveObject(GroupCalendarDay0, "-", 20, nil, nil)
	self:moveObject(GroupCalendarUseServerTime, nil, nil, "+", 20)
-->>-- Side Panel	
	self:keepFontStrings(GroupCalendarSideListScrollbarTrench)
	self:keepFontStrings(GroupCalendarSideListScrollFrame)
	self:skinScrollBar(GroupCalendarSideListScrollFrame)
	self:moveObject(GroupCalendarSidePanelCloseButton, "-", 4, "-", 4)
	self:keepFontStrings(GroupCalendarSidePanel)
	self:moveObject(GroupCalendarSidePanel, "-", 8, nil, nil)
	self:applySkin(GroupCalendarSidePanel)
-->-- Excluded Players
	GroupCalendarExcludeGroup:SetHeight(GroupCalendarExcludeGroup:GetHeight() + 5)
	self:keepFontStrings(CalendarExcludedPlayersListScrollFrame)
	self:skinScrollBar(CalendarExcludedPlayersListScrollFrame)
-->>-- About Frame
	self:keepFontStrings(GroupCalendarAboutFrame)
-->>-- Setup Frame	
	self:keepFontStrings(GroupCalendarSetupFrame)
	self:moveObject(self:getRegion(GroupCalendarSetupFrame,1), "-", 20, "+", 15)
	self:moveObject(CalendarConfigModeMenu, "-", 20, "+", 30)
	self:keepFontStrings(CalendarConfigModeMenuConfigMode)
	self:skinEditBox(GroupCalendarChannelName, {9})
	self:skinEditBox(GroupCalendarChannelPassword, {9})
	self:skinEditBox(CalendarTrustedPlayerName, {9})
	self:keepFontStrings(GroupCalendarTrustMinRank)
	self:keepFontStrings(GroupCalendarFrame)
	self:applySkin(GroupCalendarFrame, nil)

	self:keepRegions(GroupCalendarFrameTab1, {7, 8})
	self:keepRegions(GroupCalendarFrameTab2, {7, 8})
	self:keepRegions(GroupCalendarFrameTab3, {7, 8})
	self:moveObject(GroupCalendarFrameTab1, nil, nil, "-", 21)
	self:moveObject(GroupCalendarFrameTab2, "+", 10, nil, nil)
	self:moveObject(GroupCalendarFrameTab3, "+", 10, nil, nil)
	if self.db.profile.TexturedTab then self:applySkin(GroupCalendarFrameTab1, nil, 0)
	else self:applySkin(GroupCalendarFrameTab1) end
	if self.db.profile.TexturedTab then self:applySkin(GroupCalendarFrameTab2, nil, 0)
	else self:applySkin(GroupCalendarFrameTab2) end
	if self.db.profile.TexturedTab then self:applySkin(GroupCalendarFrameTab3, nil, 0)
	else self:applySkin(GroupCalendarFrameTab3) end
	self:setActiveTab(GroupCalendarFrameTab1)
	self:setInactiveTab(GroupCalendarFrameTab2)
	self:setInactiveTab(GroupCalendarFrameTab3)
	
	self:SecureHook("GroupCalendar_ShowPanel", function(tabNo)
		self:setInactiveTab(GroupCalendarFrameTab1)
		self:setInactiveTab(GroupCalendarFrameTab2)
		self:setInactiveTab(GroupCalendarFrameTab3)
		self:setActiveTab(_G["GroupCalendarFrameTab"..tabNo])
		end)
	

-->>-- Calendar Editor Frame
	self:moveObject(CalendarEditorCloseButton, "-", 4, "-", 4)
	self:keepFontStrings(CalendarEditorScrollFrame)
	self:skinScrollBar(CalendarEditorScrollFrame)
	self:keepFontStrings(CalendarEditorScrollbarTrench)
	self:keepFontStrings(CalendarEditorFrame)
	self:moveObject(CalendarEditorFrame, "-", 8, nil, nil)
	self:applySkin(CalendarEditorFrame, nil)

-->>-- Calendar Event Editor Frame
	self:SecureHook("CalendarEventEditor_OnShow", function()
		HideUIPanel(CalendarEditorFrame)
		end)
	self:SecureHook("CalendarEventEditor_OnHide", function()
		GroupCalendar_SelectDate(gCalendarActualDate)
		end)
	
	self:moveObject(CalendarEventEditorCloseButton, "-", 4, "-", 4)
	CalendarEventEditorEventBackground:Hide()
	self:keepFontStrings(CalendarEventEditorDurationDuration)
	self:keepFontStrings(CalendarEventEditorDuration)
	self:keepFontStrings(CalendarEventEditorTimeAMPM)
	self:keepFontStrings(CalendarEventEditorTimeMinute)
	self:keepFontStrings(CalendarEventEditorTimeHour)
	self:keepFontStrings(CalendarEventEditorTime)
	self:keepFontStrings(CalendarEventEditorEventFrame)
	self:keepFontStrings(CalendarEventTypeEventType)
	self:keepFontStrings(CalendarEventType)
	self:skinEditBox(CalendarEventTitle, {9})
	self:skinEditBox(CalendarEventMinLevel, {9})
	self:skinEditBox(CalendarEventMaxLevel, {9})
	CalendarEventDescriptionFrame:SetWidth(CalendarEventDescriptionFrame:GetWidth() + 10)
	CalendarEventDescriptionFrame:SetHeight(CalendarEventDescriptionFrame:GetHeight() + 10)
	self:moveObject(self:getRegion(CalendarEventDescriptionScrollFrame, 1), "-", 10, "+", 3)
	self:moveObject(CalendarEventDescription, "-", 5, nil, nil)
	self:keepFontStrings(CalendarEventDescriptionFrame)
	self:applySkin(CalendarEventDescriptionFrame)
	self:keepFontStrings(CalendarEventDescriptionScrollFrame)
	self:moveObject(CalendarEventDescriptionScrollFrame, "+", 8, "-", 7)
	self:skinScrollBar(CalendarEventDescriptionScrollFrame)
	self:keepFontStrings(CalendarEventEditorFrame)
	self:moveObject(CalendarEventEditorFrame, "-", 8, nil, nil)
	self:applySkin(CalendarEventEditorFrame)
	-- Tabs
	self:keepRegions(CalendarEventEditorFrameTab1, {7, 8})
	self:keepRegions(CalendarEventEditorFrameTab2, {7, 8})
	self:moveObject(CalendarEventEditorFrameTab1, nil, nil, "+", 5)
	self:moveObject(CalendarEventEditorFrameTab2, "-", 10, nil, nil)
	if self.db.profile.TexturedTab then self:applySkin(CalendarEventEditorFrameTab1, nil, 0)
	else self:applySkin(CalendarEventEditorFrameTab1) end
	if self.db.profile.TexturedTab then self:applySkin(CalendarEventEditorFrameTab2, nil, 0)
	else self:applySkin(CalendarEventEditorFrameTab2) end
	self:setActiveTab(CalendarEventEditorFrameTab1)
	self:setInactiveTab(CalendarEventEditorFrameTab2)
	
	self:SecureHook("CalendarEventEditor_ShowPanel", function(tabNo)
		self:setInactiveTab(CalendarEventEditorFrameTab1)
		self:setInactiveTab(CalendarEventEditorFrameTab2)
		self:setActiveTab(_G["CalendarEventEditorFrameTab"..tabNo])
		end)

-->>-- Calendar Event Editor Attendance Frame
	self:keepRegions(CalendarEventEditorAttendanceExpandAll, {7, 8})
	self:keepRegions(CalendarEventEditorAttendanceGroupTab, {7, 8})
	self:keepFontStrings(CalendarEventEditorAttendanceScrollFrame)
	self:skinScrollBar(CalendarEventEditorAttendanceScrollFrame)
	self:keepFontStrings(CalendarEventEditorAttendanceScrollbarTrench)
	self:keepFontStrings(CalendarEventEditorAttendanceGroupView)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewTotals)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewAutoConfirmMenu)
	self:keepFontStrings(CalendarEventEditorAttendanceMainViewAutoConfirm)
	self:keepFontStrings(CalendarEventEditorAttendanceMainView)
	self:keepFontStrings(CalendarEventEditorAttendanceViewMenu)
	self:keepFontStrings(CalendarEventEditorAttendance)
	self:keepFontStrings(CalendarEventEditorAttendanceFrame)

-->>-- Add Player Frame
	self:keepFontStrings(CalendarAddPlayerFrameWhisper)
	self:keepFontStrings(CalendarAddPlayerFrameGuildRankMenu)
	self:keepFontStrings(CalendarAddPlayerFrameGuildRank)
	self:keepFontStrings(CalendarAddPlayerFrameClassMenu)
	self:keepFontStrings(CalendarAddPlayerFrameClass)
	self:keepFontStrings(CalendarAddPlayerFrameRaceMenu)
	self:keepFontStrings(CalendarAddPlayerFrameRace)
	self:keepFontStrings(CalendarAddPlayerFrameStatusMenu)
	self:skinEditBox(CalendarAddPlayerFrameName, {9})
	self:skinEditBox(CalendarAddPlayerFrameLevel, {9})
	self:skinEditBox(CalendarAddPlayerFrameComment, {9})
	self:skinEditBox(CalendarAddPlayerFrameWhisperReply, {9})
	self:keepFontStrings(CalendarAddPlayerFrame)
	self:applySkin(CalendarAddPlayerFrame, true)

-->>-- Calendar Class Limits Frame
	self:skinEditBox(CalendarClassLimitsFrameDruidMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameDruidMax, {9})
	self:skinEditBox(CalendarClassLimitsFramePriestMin, {9})
	self:skinEditBox(CalendarClassLimitsFramePriestMax, {9})
	self:skinEditBox(CalendarClassLimitsFramePaladinMin, {9})
	self:skinEditBox(CalendarClassLimitsFramePaladinMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameHunterMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameHunterMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameRogueMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameRogueMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameShamanMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameShamanMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameMageMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameMageMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameWarlockMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameWarlockMax, {9})
	self:skinEditBox(CalendarClassLimitsFrameWarriorMin, {9})
	self:skinEditBox(CalendarClassLimitsFrameWarriorMax, {9})
	self:keepFontStrings(CalendarClassLimitsFrameMaxPartySize)
	CalendarClassLimitsFrameFrameHeader:Hide()
	self:applySkin(CalendarClassLimitsFrame)
	
-->>-- Calendar Event Viewer Frame
	self:moveObject(EventViewerCloseButton, "-", 4, "-", 4)
	CalendarEventViewerParchment:SetAlpha(0)
	self:keepFontStrings(CalendarEventViewerCharacterMenu)
	self:keepFontStrings(CalendarEventViewerCharacter)
	self:keepFontStrings(CalendarEventViewerDescription)
	self:keepFontStrings(CalendarEventViewerEventFrame)
	self:keepFontStrings(CalendarEventViewerAttendanceGroupView)
	self:keepRegions(CalendarEventViewerAttendanceGroupTab, {7, 8})
	self:keepFontStrings(CalendarEventViewerAttendanceViewMenu)
	self:keepFontStrings(CalendarEventViewerAttendanceScrollFrame)
	self:skinScrollBar(CalendarEventViewerAttendanceScrollFrame)
	self:keepFontStrings(CalendarEventViewerAttendanceMainViewAutoConfirmMenu)
	self:keepFontStrings(CalendarEventViewerAttendanceMainViewAutoConfirm)
	self:keepFontStrings(CalendarEventViewerAttendanceMainViewTotals)
	self:keepFontStrings(CalendarEventViewerAttendanceMainView)
	self:keepFontStrings(CalendarEventViewerAttendanceScrollbarTrench)
	self:keepFontStrings(CalendarEventViewerAttendance)
	self:keepFontStrings(CalendarEventViewerAttendanceFrame)
	self:skinEditBox(CalendarEventViewerComment, {9})
	self:keepFontStrings(CalendarEventViewerFrame)
	self:moveObject(CalendarEventViewerFrame, "-", 8, nil, nil)
	self:applySkin(CalendarEventViewerFrame, nil)
	-- Tabs
	self:keepRegions(CalendarEventViewerFrameTab1, {7,8})
	self:keepRegions(CalendarEventViewerFrameTab2, {7,8})
	self:moveObject(CalendarEventViewerFrameTab1, nil, nil, "+", 5)
	self:moveObject(CalendarEventViewerFrameTab2, "-", 10, nil, nil)
	if self.db.profile.TexturedTab then self:applySkin(CalendarEventViewerFrameTab1, nil, 0)
	else self:applySkin(CalendarEventViewerFrameTab1) end
	if self.db.profile.TexturedTab then self:applySkin(CalendarEventViewerFrameTab2, nil, 0)
	else self:applySkin(CalendarEventViewerFrameTab2) end
	self:setActiveTab(CalendarEventViewerFrameTab1)
	self:setInactiveTab(CalendarEventViewerFrameTab2)
	
	self:SecureHook("CalendarEventViewer_ShowPanel", function(tabNo)
		self:setInactiveTab(CalendarEventViewerFrameTab1)
		self:setInactiveTab(CalendarEventViewerFrameTab2)
		self:setActiveTab(_G["CalendarEventViewerFrameTab"..tabNo])
		end)

-->>-- Calendar Event Viewer Attendance Frame
	self:keepRegions(CalendarEventViewerAttendanceExpandAll, {7,8})
	self:keepRegions(CalendarEventViewerAttendanceGroupTab, {7,8})
	self:keepFontStrings(CalendarEventViewerAttendanceScrollFrame)
	self:skinScrollBar(CalendarEventViewerAttendanceScrollFrame)
	self:keepFontStrings(CalendarEventViewerAttendanceScrollbarTrench)
	self:keepFontStrings(CalendarEventViewerAttendanceGroupView)
	self:keepFontStrings(CalendarEventViewerAttendanceMainViewTotals)
	self:keepFontStrings(CalendarEventViewerAttendanceMainViewAutoConfirmMen)
	self:keepFontStrings(CalendarEventViewerAttendanceMainViewAutoConfirm)
	self:keepFontStrings(CalendarEventViewerAttendanceMainView)
	self:keepFontStrings(CalendarEventViewerAttendanceViewMenu)
	self:keepFontStrings(CalendarEventViewerAttendance)
	self:keepFontStrings(CalendarEventViewerAttendanceFrame)

end
